package cn.com.qmth.examcloud.api.commons.exchange;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * 表单请求
 *
 * @author WANGWEI
 * @date 2019年5月7日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class FormRequest extends BaseRequest {

    private static final long serialVersionUID = 1201394717322230917L;

    @ApiModelProperty(value = "文件参数集合", required = false)
    private transient List<FormFilePart> formFilePartList;

    public List<FormFilePart> getFormFilePartList() {
        return formFilePartList;
    }

    public void setFormFilePartList(List<FormFilePart> formFilePartList) {
        this.formFilePartList = formFilePartList;
    }

}
