package cn.com.qmth.examcloud.question.commons.core.paper;

import java.io.Serializable;
import java.util.List;

/**
 * 试卷结构
 *
 * @author WANGWEI
 * @date 2018年8月15日
 */
public class DefaultPaper implements Serializable {

    private static final long serialVersionUID = -5979287118960427883L;

    /**
     * 临时试卷ID（冗余字段，部分场景使用）
     */
    private String tempId;

    /**
     * 试卷名称
     */
    private String name;

    /**
     * 是否全是客观题
     */
    private Boolean fullyObjective;

    /**
     * 分组集合
     */
    private List<DefaultQuestionGroup> questionGroupList;

    public String getTempId() {
        return tempId;
    }

    public void setTempId(String tempId) {
        this.tempId = tempId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Boolean getFullyObjective() {
        return fullyObjective;
    }

    public void setFullyObjective(Boolean fullyObjective) {
        this.fullyObjective = fullyObjective;
    }

    public List<DefaultQuestionGroup> getQuestionGroupList() {
        return questionGroupList;
    }

    public void setQuestionGroupList(List<DefaultQuestionGroup> questionGroupList) {
        this.questionGroupList = questionGroupList;
    }

}
