package cn.com.qmth.examcloud.support.enums;

import org.apache.commons.lang3.StringUtils;

/**
 * @author chenken
 * @date 2018年2月26日 下午3:13:05
 * @company QMTH
 * @description 成功或失败
 */
public enum IsSuccess {
    /**
     * 成功
     */
    SUCCESS("成功"),
    /**
     * 失败
     */
    FAILED("失败");

    private String desc;

    public static IsSuccess strToEnum(String name) {
        if (StringUtils.isBlank(name)) {
            return null;
        }
        for (IsSuccess isSuccess : IsSuccess.values()) {
            if (name.equals(isSuccess.name())) {
                return isSuccess;
            }
        }

        return null;
    }

    private IsSuccess(String desc) {
        this.desc = desc;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}

