package cn.com.qmth.examcloud.starters.face.verify.common;

public interface Constants {

    String JSON_CONTENT_TYPE = "application/json; charset=utf-8";

    /*
     * Face++ 人脸检测接口
     */
    String FACEPP_FACE_DETECT_URL = "https://api-cn.faceplusplus.com/facepp/v3/detect";

    /*
     * Face++ 人脸比对接口
     */
    String FACEPP_FACE_COMPARE_URL = "https://api-cn.faceplusplus.com/facepp/v3/compare";

    /*
     * 百度 认证接口
     */
    String BAIDU_TOKEN_URL = "https://aip.baidubce.com/oauth/2.0/token";

    /*
     * 百度 人脸活体检测接口
     */
    String BAIDU_FACE_VERIFY_URL = "https://aip.baidubce.com/rest/2.0/face/v3/faceverify";

    /*
     * 百度 人脸检测接口
     */
    String BAIDU_FACE_DETECT_URL = "https://aip.baidubce.com/rest/2.0/face/v3/detect";

    /*
     * 百度 人脸比对接口
     */
    String BAIDU_FACE_COMPARE_URL = "https://aip.baidubce.com/rest/2.0/face/v3/match";

    /*
     * 百度 人脸活体检测接口（本地化部署）
     */
    String BAIDU_FACE_VERIFY_LOCAL_URL = "/face-api/v3/face/liveness";

    /*
     * 百度 人脸检测接口（本地化部署）
     */
    String BAIDU_FACE_DETECT_LOCAL_URL = "/face-api/v3/face/detect";

    /*
     * 百度 人脸比对接口（本地化部署）
     */
    String BAIDU_FACE_COMPARE_LOCAL_URL = "/face-api/v3/face/match";

}
