/*
 * Copyright (c) 2020 QMTH All Rights Reserved.
 * Created by Deason on 2020-07-22 16:19:27
 */

package cn.com.qmth.examcloud.starters.greetest.service;

import cn.com.qmth.examcloud.starters.greetest.model.RegisterReq;
import cn.com.qmth.examcloud.starters.greetest.model.RegisterResp;
import cn.com.qmth.examcloud.starters.greetest.model.ValidateReq;
import cn.com.qmth.examcloud.starters.greetest.model.ValidateResp;

/**
 * 极验验证码相关接口
 */
public interface GeetestService {

    /**
     * 验证初始化
     */
    RegisterResp register(RegisterReq req);

    /**
     * 二次验证
     */
    ValidateResp validate(ValidateReq req);

}