package cn.com.qmth.examcloud.commons.util;

import org.apache.commons.lang3.StringUtils;

public class SqlUtil {

    /**
     * 转换为数据库模糊查询匹配模式
     */
    public static String toSqlSearchPattern(String column) {
        if (StringUtils.isBlank(column)) {
            return "%";
        }
        return "%" + column.trim() + "%";
    }

    /**
     * 转换为数据库模糊查询匹配模式 (左边全匹配、右边模糊匹配)
     */
    public static String toSqlRightLike(String column) {
        if (StringUtils.isBlank(column)) {
            return "%";
        }
        return column.trim() + "%";
    }

}
