package cn.com.qmth.examcloud.reports.commons.bean;

import cn.com.qmth.examcloud.reports.commons.enums.Tag;
import cn.com.qmth.examcloud.reports.commons.enums.Topic;

public class AdminOperateReport extends BaseReport {

    private Long operateUserId;

    private String operate;

    private String operateInfo;

    private Long rootOrgId;


    public AdminOperateReport(Long rootOrgId, Long operateUserId, String operate, String operateInfo) {
        super();
        this.rootOrgId = rootOrgId;
        this.operateUserId = operateUserId;
        this.operate = operate;
        this.operateInfo = operateInfo;
        this.topic = Topic.REPORT_TOPIC.getCode();
        this.tag = Tag.ADMIN_OPERATE_INFO.getCode();
    }

    public AdminOperateReport() {
        super();
    }

    public Long getOperateUserId() {
        return operateUserId;
    }

    public void setOperateUserId(Long operateUserId) {
        this.operateUserId = operateUserId;
    }

    public String getOperate() {
        return operate;
    }

    public void setOperate(String operate) {
        this.operate = operate;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public String getOperateInfo() {
        return operateInfo;
    }

    public void setOperateInfo(String operateInfo) {
        this.operateInfo = operateInfo;
    }


}
