package cn.com.qmth.examcloud.reports.commons.bean;

import cn.com.qmth.examcloud.reports.commons.enums.Tag;
import cn.com.qmth.examcloud.reports.commons.enums.Topic;

public class OnlineStudentReport extends BaseReport {

    private Long rootOrgId;

    private Long studentId;

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public OnlineStudentReport() {
        super();
    }

    public OnlineStudentReport(Long rootOrgId, Long studentId) {
        super();
        this.rootOrgId = rootOrgId;
        this.studentId = studentId;
        this.topic = Topic.REPORT_TOPIC.getCode();
        this.tag = Tag.ONLINE_STUDENT.getCode();
    }

}
