package cn.com.qmth.examcloud.reports.commons.enums;

public enum Tag {

    /**
     * 学生
     */
    ONLINE_STUDENT("ONLINE_STUDENT", "ONLINE_STUDENT_GROUP", "学生"),

    /**
     * 考生
     */
    ONLINE_EXAM_STUDENT("ONLINE_EXAM_STUDENT", "ONLINE_EXAM_STUDENT_GROUP", "考生"),

    /**
     * 后台用户
     */
    ONLINE_USER("ONLINE_USER", "ONLINE_USER_GROUP", "后台用户"),

    /**
     * 操作日志
     */
    OPERATE_INFO("OPERATE_INFO", "OPERATE_INFO_GROUP", "操作日志"),

    /**
     * 考试过程记录
     */
    EXAM_PROCESS_RECORD("EXAM_PROCESS_RECORD", "EXAM_PROCESS_RECORD_GROUP", "考试过程记录"),

    /**
     * 后台用户操作日志
     */
    ADMIN_OPERATE_INFO("ADMIN_OPERATE_INFO", "ADMIN_OPERATE_INFO_GROUP", "后台用户操作日志"),
    ;

    // ===========================================================================

    /**
     * 码
     */
    private String code;

    /**
     * 描述
     */
    private String group;

    /**
     * 描述
     */
    private String desc;

    /**
     * 构造函数
     *
     * @param desc
     */
    private Tag(String code, String group, String desc) {
        this.code = code;
        this.group = group;
        this.desc = desc;
    }

    public String getDesc() {
        return desc;
    }

    public String getCode() {
        return code;
    }

    public String getGroup() {
        return group;
    }

}
