package cn.com.qmth.examcloud.support.cache.bean;

import cn.com.qmth.examcloud.web.cache.RandomCacheBean;

import java.util.Date;

/**
 * @Description 场次缓存
 * @Author lideyin
 * @Date 2020/8/14 16:14
 * @Version 1.0
 */
public class ExamStageCacheBean extends RandomCacheBean {

    private static final long serialVersionUID = 7837714620786777681L;


    private Long id;

    /**
     * 顶级机构Id
     */
    private Long rootOrgId;

    /**
     * 考试id
     */
    private Long examId;

    /**
     * 场次号
     */
    private Integer stageOrder;

    /**
     * 开始进入考试时间
     */
    private Date startTime;

    /**
     * 考试批次结束时间
     */
    private Date endTime;

    private Boolean enable;

    /**
     * 是否特殊设置
     */
    private Boolean specialSetting;

    /**
     * 回收试卷类型
     */
    private String submitType;

    /**
     * 统一收卷考试时长(分钟)
     */
    private Integer submitDuration;

    /**
     * 场次开考状态
     */
    private String startExamStatus;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Integer getStageOrder() {
        return stageOrder;
    }

    public void setStageOrder(Integer stageOrder) {
        this.stageOrder = stageOrder;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public Boolean getSpecialSetting() {
        return specialSetting;
    }

    public void setSpecialSetting(Boolean specialSetting) {
        this.specialSetting = specialSetting;
    }

    public String getSubmitType() {
        return submitType;
    }

    public void setSubmitType(String submitType) {
        this.submitType = submitType;
    }

    public Integer getSubmitDuration() {
        return submitDuration;
    }

    public void setSubmitDuration(Integer submitDuration) {
        this.submitDuration = submitDuration;
    }

    public String getStartExamStatus() {
        return startExamStatus;
    }

    public void setStartExamStatus(String startExamStatus) {
        this.startExamStatus = startExamStatus;
    }

}
