package cn.com.qmth.examcloud.support.cache.bean;

import cn.com.qmth.examcloud.web.cache.RandomCacheBean;

import java.util.List;

public class StudentCacheBean extends RandomCacheBean {

    private static final long serialVersionUID = 2870680150437521145L;

    private Long id;

    private String name;

    private String identityNumber;

    private String photoPath;

    private String remark;

    private Boolean enable;

    private Long orgId;

    private Long rootOrgId;

    /**
     * 手机号码
     */
    private String phoneNumber;

    /**
     * 安全手机号码(用于登录)
     */
    private String securityPhone;

    /**
     * 学号集合
     */
    private List<String> studentCodeList;

    /**
     * face++参数
     */
    private String faceToken;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIdentityNumber() {
        return identityNumber;
    }

    public void setIdentityNumber(String identityNumber) {
        this.identityNumber = identityNumber;
    }

    public String getPhotoPath() {
        return photoPath;
    }

    public void setPhotoPath(String photoPath) {
        this.photoPath = photoPath;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getSecurityPhone() {
        return securityPhone;
    }

    public void setSecurityPhone(String securityPhone) {
        this.securityPhone = securityPhone;
    }

    public List<String> getStudentCodeList() {
        return studentCodeList;
    }

    public void setStudentCodeList(List<String> studentCodeList) {
        this.studentCodeList = studentCodeList;
    }

    public String getFaceToken() {
        return faceToken;
    }

    public void setFaceToken(String faceToken) {
        this.faceToken = faceToken;
    }

}
