package cn.com.qmth.examcloud.support.examing;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * 考试心跳
 *
 * @author WANGWEI
 * @date 2019年12月27日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class ExamingHeartbeat implements JsonSerializable {

    private static final long serialVersionUID = 2981954395650966836L;

    /**
     * 考试记录ID
     */
    private Long examRecordDataId;

    /**
     * 心跳次数
     */
    @Deprecated
    private Long times;

    /**
     * 耗时(单位:秒)
     */
    private Long cost;

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    @Deprecated
    public Long getTimes() {
        return times;
    }

    @Deprecated
    public void setTimes(Long times) {
        this.times = times;
    }

    public Long getCost() {
        return cost;
    }

    public void setCost(Long cost) {
        this.cost = cost;
    }

}
