package cn.com.qmth.examcloud.support.handler.richtext2;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class Result implements Serializable {

    private static final long serialVersionUID = -8820818435363871114L;

    private List<Section> sections;

    public void addSection(Section section) {
        if (section == null) {
            return;
        }
        if (sections == null) {
            sections = new ArrayList<>();
        }
        sections.add(section);
    }

    public List<Section> getSections() {
        if (sections == null) {
            sections = new ArrayList<>();
        }
        return sections;
    }

    public void setSections(List<Section> sections) {
        this.sections = sections;
    }

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this, ToStringStyle.JSON_STYLE);
    }

}
