package cn.com.qmth.examcloud.support.handler.richtext2;

/**
 * HTML标签相关常量
 */
public interface TagConstant {

    String TAG_P = "p";// p标签

    String TAG_A = "a";// a标签

    String TAG_STRONG = "strong";// 加粗标签

    String TAG_B = "b";// 加粗标签

    String TAG_EM = "em";// 斜体标签

    String TAG_I = "i";// 斜体标签

    String TAG_U = "u";// 下划线标签

    String TAG_SUP = "sup";// 上标标签

    String TAG_SUB = "sub";// 下标标签

    String TAG_IMG = "img";// img标签

    String ATTR_SRC = "src";

    String ATTR_HREF = "href";

    String ATTR_URL = "url";

    String ATTR_STYLE = "style";

    String ATTR_WIDTH = "width";

    String ATTR_HEIGHT = "height";

    String ATTR_ID = "id";

    String ATTR_NAME = "name";

    String AUDIO_SUFFIX = ".mp3";

    String VIDEO_SUFFIX = ".mp4";

    String PLAY_TIME = "playTime";

}
