package cn.com.qmth.examcloud.web.enums;

/**
 * servlet请求属性
 *
 * @author WANGWEI
 * @date 2019年3月21日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public enum HttpServletRequestAttribute {

    /**
     * 请求映射
     */
    $_MAPPING,

    /**
     * API 信息
     */
    $_API_INFO,

    /**
     * http status恒为200
     */
    $_ALWAYS_OK,

    /**
     * 接入用户
     */
    $_ACCESS_USER,

    /**
     * 自定义顺序锁
     */
    $_CUSTOM_SEQUENCE_LOCK,

    /**
     * 已鉴权(其他拦截器处理)
     */
    $_AUTHORIZED_BY_OTHER_INTERCEPTOR,

    /**
     * 企业顶级机构(对外服务接口)
     */
    $_ENTERPRISE_ROOT_ORG_ID,

    /**
     * 接口调用异常
     */
    $_EXCEPTION_HAPPENED,

    /**
     * METRICS Timer context
     */
    $_METRICS_TIMER_CTX,

    /**
     * ApiStatisticInterceptor 开始时间
     */
    API_STATISTIC_INTERCEPTOR_START_TIME,

    /**
     * 数据权限
     */
    $_USER_DATA_RULE

}
