package cn.com.qmth.examcloud.web.filestorage;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * 云存储路径变量
 */
public class FileStoragePathEnvInfo implements JsonSerializable {


    /**
     *
     */
    private static final long serialVersionUID = -5101258662105160433L;

    /**
     * 顶级机构ID
     */
    private String rootOrgId;

    /**
     * 顶级机构域名
     */
    private String rootOrgDomain;

    /**
     * 用户ID(包含普普通用户ID和studentId)
     */
    private String userId;

    /**
     * 时间戳
     */
    private String timeMillis;

    /**
     * 文件后缀（以"."开头，如 ".jpg",".zip"）
     */
    private String fileSuffix;

    /**
     * 相对路径
     */
    private String relativePath;

    /**
     * 扩展属性
     */
    private String ext1;

    /**
     * 扩展属性
     */
    private String ext2;

    /**
     * 扩展属性
     */
    private String ext3;

    /**
     * 扩展属性
     */
    private String ext4;

    /**
     * 扩展属性
     */
    private String ext5;

    public String getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(String rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public String getRootOrgDomain() {
        return rootOrgDomain;
    }

    public void setRootOrgDomain(String rootOrgDomain) {
        this.rootOrgDomain = rootOrgDomain;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getTimeMillis() {
        return timeMillis;
    }

    public void setTimeMillis(String timeMillis) {
        this.timeMillis = timeMillis;
    }

    public String getFileSuffix() {
        return fileSuffix;
    }

    public void setFileSuffix(String fileSuffix) {
        this.fileSuffix = fileSuffix;
    }

    public String getRelativePath() {
        return relativePath;
    }

    public void setRelativePath(String relativePath) {
        this.relativePath = relativePath;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    public String getExt4() {
        return ext4;
    }

    public void setExt4(String ext4) {
        this.ext4 = ext4;
    }

    public String getExt5() {
        return ext5;
    }

    public void setExt5(String ext5) {
        this.ext5 = ext5;
    }

}
