package cn.com.qmth.examcloud.api.commons.enums;

public enum AdminOperateType {
    TYPE1("考生端配置-保存考生端配置"),
    TYPE2("考生端配置-上传学校logo"),
    TYPE3("考生端配置-上传考生端登录界面图片"),
    TYPE4("考生端配置-上传学校答题纸模板"),
    TYPE5("考生端配置-上传菜单logo"),

    TYPE6("普通用户管理-新增用户"),
    TYPE7("普通用户管理-修改用户"),
    TYPE8("普通用户管理-重置用户密码"),
    TYPE9("普通用户管理-批量重置用户密码"),
    TYPE10("普通用户管理-启用用户"),
    TYPE11("普通用户管理-禁用用户"),
    TYPE12("普通用户管理-权限复制"),

    TYPE13("监考已审-导出"),

    TYPE14("监考待审-审核"),
    TYPE15("监考待审-批量审核"),

    TYPE16("考试明细-重审"),
    TYPE17("考试明细-导出"),

    TYPE18("成绩统计-导出"),

    TYPE19("考试进度详情-导出"),

    TYPE20("设置重考-设置重考"),

    TYPE21("考试进度详情-上传作答"),

    TYPE22("调卷规则-保存音频播放次数"),
    TYPE23("调卷规则-新增调卷规则"),
    TYPE24("调卷规则-修改调卷规则"),

    TYPE25("考试试卷管理-简易组卷"),
    TYPE26("考试试卷管理-精细组卷"),
    TYPE27("考试试卷管理-蓝图组卷"),
    TYPE28("考试试卷管理-手动组卷"),
    TYPE31("考试试卷管理-试卷审核"),
    TYPE33("考试试卷管理-编辑试卷"),
    TYPE36("考试试卷管理-下载"),
    TYPE37("考试试卷管理-批量下载"),
    TYPE39("考试试卷管理-修改大题名称"),
    TYPE41("考试试卷管理-删除大题"),
    TYPE42("考试试卷管理-移动大题"),
    TYPE44("考试试卷管理-编辑小题"),
    TYPE45("考试试卷管理-删除小题"),
    TYPE47("考试试卷管理-删除试卷"),
    TYPE49("考试试卷管理-选题"),

    TYPE29("导入试卷管理-导入试卷"),
    TYPE30("导入试卷管理-复制试卷"),
    TYPE32("导入试卷管理-编辑试卷"),
    TYPE34("导入试卷管理-使用原卷"),
    TYPE35("导入试卷管理-试卷答案导入"),
    TYPE38("导入试卷管理-修改大题名称"),
    TYPE40("导入试卷管理-删除大题"),
    TYPE43("导入试卷管理-编辑小题"),
    TYPE46("导入试卷管理-删除原卷"),
    TYPE48("导入试卷管理-删除小题"),

    TYPE50("试卷检查-打回"),
    TYPE51("试卷检查-批量打回"),

    TYPE52("创建评卷工作-设置任务数"),
    TYPE53("创建评卷工作-设置给分间隔"),
    TYPE54("创建评卷工作-导出评卷员"),
    TYPE55("创建评卷工作-修改"),
    TYPE56("创建评卷工作-删除评卷工作"),
    TYPE57("创建评卷工作-结束评卷工作"),
    TYPE58("创建评卷工作-开启评卷工作"),
    TYPE59("创建评卷工作-成绩发布"),
    TYPE60("创建评卷工作-设置评卷员"),
    TYPE61("创建评卷工作-导入评卷员"),
    TYPE62("创建评卷工作-新增"),
    TYPE63("创建评卷工作-重试"),
    ;

    AdminOperateType(String desc) {
        this.desc = desc;
    }

    private String desc;

    public String getDesc() {
        return desc;
    }
}
