package cn.com.qmth.examcloud.api.commons.enums;

/**
 * 重新定义
 *
 * @author WANGWEI
 * @date 2018年7月10日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public enum CourseLevel {

    ZSB("专升本"),

    GQZ("高起专"),

    GQB("高起本"),

    ALL("不限");

    private String name;

    private CourseLevel(String name) {
        this.name = name;
    }

    public String getName() {
        return this.name;
    }

    /**
     * 混合查询
     *
     * @param name
     * @return
     * @author WANGWEI
     */
    public static CourseLevel getCourseLevel(String name) {
        for (CourseLevel cur : CourseLevel.values()) {
            if (name.equals(cur.getName())) {
                return cur;
            }
            if (name.equals(cur.name())) {
                return cur;
            }
        }

        throw new RuntimeException("level name is wong");
    }

}
