package cn.com.qmth.examcloud.api.commons.exchange;

import io.swagger.annotations.ApiModelProperty;

/**
 * 响应体基类
 *
 * @author WANGWEI
 */
public abstract class BaseResponse extends ExchangeBean {

    private static final long serialVersionUID = 1755304211766414171L;

    /**
     * 耗时(毫秒)
     */
    @ApiModelProperty(value = "耗时(毫秒)", example = "500", required = true)
    private Long cost;

    public Long getCost() {
        return cost;
    }

    public void setCost(Long cost) {
        this.cost = cost;
    }

}
