package cn.com.qmth.examcloud.api.commons.security.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * WebSocket Session
 *
 * @author WANGWEI
 * @date 2019年11月22日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class WebSocketSession implements JsonSerializable {

    private static final long serialVersionUID = 6657113738382557514L;

    /**
     * session ID
     */
    private String sessionId;

    /**
     * 全局唯一用户标识符
     */
    private String key;

    /**
     * 鉴权token
     */
    private String token;

    /**
     * 应用名称
     */
    private String appName;

    /**
     * 会话失效时长
     */
    private Integer sessionTimeout;

    public String getSessionId() {
        return sessionId;
    }

    public void setSessionId(String sessionId) {
        this.sessionId = sessionId;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public Integer getSessionTimeout() {
        return sessionTimeout;
    }

    public void setSessionTimeout(Integer sessionTimeout) {
        this.sessionTimeout = sessionTimeout;
    }

}
