package cn.com.qmth.examcloud.question.commons.core.paper;

import java.io.Serializable;
import java.util.List;

/**
 * 题分组集合
 *
 * @author WANGWEI
 * @date 2018年8月15日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class DefaultQuestionGroup implements Serializable {

    private static final long serialVersionUID = 2149814711274942645L;

    /**
     * 题组名称
     */
    private String groupName;

    /**
     * 题包装器集合<br>
     */
    private List<DefaultQuestionStructureWrapper> questionWrapperList;

    /**
     * 题组总分
     */
    private Double groupScore;

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public List<DefaultQuestionStructureWrapper> getQuestionWrapperList() {
        return questionWrapperList;
    }

    public void setQuestionWrapperList(List<DefaultQuestionStructureWrapper> questionWrapperList) {
        this.questionWrapperList = questionWrapperList;
    }

    public Double getGroupScore() {
        return groupScore;
    }

    public void setGroupScore(Double groupScore) {
        this.groupScore = groupScore;
    }

}
