package cn.com.qmth.examcloud.question.commons.core.question;

import java.io.Serializable;
import java.util.Map;

/**
 * 题<完整题>
 *
 * @author WANGWEI
 * @date 2018年8月15日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class DefaultQuestion implements Serializable {

    private static final long serialVersionUID = 195811114083691548L;

    /**
     * 题ID
     */
    private String id;

    /**
     * 属性注释
     */
    private Long rootOrgId;

    /**
     * 是否脱离试卷存在
     */
    private Boolean isolated;

    /**
     * 主版本
     */
    private DefaultQuestionStructure masterVersion;

    /**
     * 扩展属性
     */
    private Map<String, String> properties;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public Boolean getIsolated() {
        return isolated;
    }

    public void setIsolated(Boolean isolated) {
        this.isolated = isolated;
    }

    public DefaultQuestionStructure getMasterVersion() {
        return masterVersion;
    }

    public void setMasterVersion(DefaultQuestionStructure masterVersion) {
        this.masterVersion = masterVersion;
    }

    public Map<String, String> getProperties() {
        return properties;
    }

    public void setProperties(Map<String, String> properties) {
        this.properties = properties;
    }

}