package cn.com.qmth.examcloud.question.commons.core.question;

import java.io.Serializable;
import java.util.List;

/**
 * 题单元<最小作答单元>
 *
 * @author WANGWEI
 * @date 2018年8月15日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class DefaultQuestionUnit implements Serializable {

    private static final long serialVersionUID = 3092731472173574671L;

    /**
     * 题型
     */
    private QuestionType questionType;

    /**
     * 题干
     */
    private String body;

    /**
     * 选项集合
     */
    private List<DefaultQuestionOption> questionOptionList;

    /**
     * 正确答案
     */
    private String[] rightAnswer;

    /**
     * 作答类型
     */
    private AnswerType answerType;

    public QuestionType getQuestionType() {
        return questionType;
    }

    public void setQuestionType(QuestionType questionType) {
        this.questionType = questionType;
    }

    public String getBody() {
        return body;
    }

    public void setBody(String body) {
        this.body = body;
    }

    public List<DefaultQuestionOption> getQuestionOptionList() {
        return questionOptionList;
    }

    public void setQuestionOptionList(List<DefaultQuestionOption> questionOptionList) {
        this.questionOptionList = questionOptionList;
    }

    public String[] getRightAnswer() {
        return rightAnswer;
    }

    public void setRightAnswer(String[] rightAnswer) {
        this.rightAnswer = rightAnswer;
    }

    public AnswerType getAnswerType() {
        return answerType;
    }

    public void setAnswerType(AnswerType answerType) {
        this.answerType = answerType;
    }

}