package cn.com.qmth.examcloud.starters.crypto.common;

/**
 * 加、解密方案项
 */
public class CryptoItem {

    private CryptoType type;

    private Key encryptKey;

    private Key decryptKey;

    public CryptoItem(CryptoType type, Key encryptKey, Key decryptKey) {
        this.type = type;
        this.encryptKey = encryptKey;
        this.decryptKey = decryptKey;
    }

    public CryptoItem(CryptoType type) {
        this.type = type;
    }

    public CryptoItem() {

    }

    public CryptoType getType() {
        return type;
    }

    public void setType(CryptoType type) {
        this.type = type;
    }

    public Key getEncryptKey() {
        return encryptKey;
    }

    public void setEncryptKey(Key encryptKey) {
        this.encryptKey = encryptKey;
    }

    public Key getDecryptKey() {
        return decryptKey;
    }

    public void setDecryptKey(Key decryptKey) {
        this.decryptKey = decryptKey;
    }

}
