package cn.com.qmth.examcloud.starters.face.verify.model.baidu;

import java.io.Serializable;
import java.util.List;

public class BaiduResult implements Serializable {

    private static final long serialVersionUID = 1L;

    private Double face_liveness;//活体分数值，推荐阈值0.393241

    private Double score;//人脸相似度得分，官方推荐阈值80分

    private Integer face_num;//人脸数

    private List<BaiduFace> face_list;//人脸信息列表

    private BaiduThresholds thresholds;//阈值(误识率越低，准确率越高)

    public Double getFace_liveness() {
        return face_liveness;
    }

    public void setFace_liveness(Double face_liveness) {
        this.face_liveness = face_liveness;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public Integer getFace_num() {
        return face_num;
    }

    public void setFace_num(Integer face_num) {
        this.face_num = face_num;
    }

    public List<BaiduFace> getFace_list() {
        return face_list;
    }

    public void setFace_list(List<BaiduFace> face_list) {
        this.face_list = face_list;
    }

    public BaiduThresholds getThresholds() {
        return thresholds;
    }

    public void setThresholds(BaiduThresholds thresholds) {
        this.thresholds = thresholds;
    }

}
