package cn.com.qmth.examcloud.starters.face.verify.model.baidu;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.io.Serializable;

public class BaiduThresholds implements Serializable {

    private static final long serialVersionUID = 1L;

    @JsonProperty("frr_1e-2")
    private Float frr_1e_2;//百分之一误识率的阈值

    @JsonProperty("frr_1e-3")
    private Float frr_1e_3;//千分之一误识率的阈值

    @JsonProperty("frr_1e-4")
    private Float frr_1e_4;//万分之一误识率的阈值

    public Float getFrr_1e_2() {
        if (frr_1e_2 == null) {
            return 0F;
        }
        return frr_1e_2;
    }

    public void setFrr_1e_2(Float frr_1e_2) {
        this.frr_1e_2 = frr_1e_2;
    }

    public Float getFrr_1e_3() {
        if (frr_1e_3 == null) {
            return 0F;
        }
        return frr_1e_3;
    }

    public void setFrr_1e_3(Float frr_1e_3) {
        this.frr_1e_3 = frr_1e_3;
    }

    public Float getFrr_1e_4() {
        if (frr_1e_4 == null) {
            return 0F;
        }
        return frr_1e_4;
    }

    public void setFrr_1e_4(Float frr_1e_4) {
        this.frr_1e_4 = frr_1e_4;
    }

}