package cn.com.qmth.examcloud.commons.util;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

/**
 * SHA256加密
 *
 * @author WANGWEI
 */
public class SHA256 {

    /**
     * main
     *
     * @param args
     * @author WANGWEI
     */
    public static void main(String[] args) {
        String s = "";
        System.out.println(ByteUtil.toHexAscii(SHA256.encode(s)));
    }

    /**
     * 加密
     *
     * @param str
     * @return
     * @author WANGWEI
     */
    public static byte[] encode(String str) {
        MessageDigest messageDigest;
        try {
            messageDigest = MessageDigest.getInstance("SHA-256");
        } catch (NoSuchAlgorithmException e) {
            throw new RuntimeException(e);
        }
        messageDigest.update(str.getBytes());
        return messageDigest.digest();
    }

}