package cn.com.qmth.examcloud.reports.commons.enums;

public enum MqType {
    KAFKA("kafka", "kafka"),
    ROCKETMQ("rocketmq", "rocketmq"),
    ;

    // ===========================================================================

    /**
     * 码
     */
    private String code;

    /**
     * 描述
     */
    private String desc;

    /**
     * 构造函数
     *
     * @param desc
     */
    private MqType(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public String getDesc() {
        return desc;
    }

    public String getCode() {
        return code;
    }
}
