package cn.com.qmth.examcloud.reports.commons.enums;

/**
 * 操作内容
 *
 * @author chenken
 */
public enum OperateContent {

    EXAM_STUDENT_ADD("考生新增"),
    EXAM_STUDENT_COPY("考生复制"),
    EXAM_STUDENT_UPDATE("考生更新"),
    EXAM_STUDENT_DISABLE("考生禁用"),
    STUDENT_DISABLE("学生禁用"),
    EXAM_STUDENT_ENABLE("考生启用"),
    STUDENT_ENABLE("学生启用"),
    STUDENT_LOGIN("学生登录"),
    STUDENT_PHOTO_IMPORT("学生照片导入"),
    STUDENT_PASSWORD_RESET("学生密码重置"),
    EXAM_STUDENT_IMPORT("考生导入"),
    STUDENT_UNBIND_PHONE("解绑安全手机"),
    STUDENT_UNBIND_STUDENTCODE("解绑学号"),
    STUDENT_PASSWORD_UPDATE("学生修改密码");

    /**
     * 描述
     */
    private String desc;

    /**
     * 构造函数
     *
     * @param desc
     */
    private OperateContent(String desc) {
        this.desc = desc;
    }

    public String getDesc() {
        return desc;
    }
}
