package cn.com.qmth.examcloud.support.cache.bean;

import cn.com.qmth.examcloud.web.cache.RandomCacheBean;

import java.util.List;

/**
 * @Description 试题答案缓存实体
 * @Author lideyin
 * @Date 2019/7/30 14:36
 */
public class QuestionAnswerCacheBean extends RandomCacheBean {

    private static final long serialVersionUID = 6309635978462557320L;

    /**
     * 试题ID
     */
    private String questionId;

    /**
     * 正确答案
     */
    private List<String> rightAnswers;

    public String getQuestionId() {
        return questionId;
    }

    public void setQuestionId(String questionId) {
        this.questionId = questionId;
    }

    public List<String> getRightAnswers() {
        return rightAnswers;
    }

    public void setRightAnswers(List<String> rightAnswers) {
        this.rightAnswers = rightAnswers;
    }

}