package cn.com.qmth.examcloud.support.cache.bean;

import cn.com.qmth.examcloud.web.cache.RandomCacheBean;

/**
 * 第三方接入信息
 *
 * @author WANGWEI
 * @date 2018年7月5日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class ThirdPartyAccessCacheBean extends RandomCacheBean {

    private static final long serialVersionUID = 9212710623859419481L;

    /**
     * 顶级机构ID
     */
    private Long rootOrgId;

    /**
     * 应用ID
     */
    private String appId;

    /**
     * 密钥
     */
    private String secretKey;

    /**
     * 时间差范围
     */
    private Long timeRange;

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getSecretKey() {
        return secretKey;
    }

    public void setSecretKey(String secretKey) {
        this.secretKey = secretKey;
    }

    public Long getTimeRange() {
        return timeRange;
    }

    public void setTimeRange(Long timeRange) {
        this.timeRange = timeRange;
    }

}
