package cn.com.qmth.examcloud.support.handler.richtext2;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;

/**
 * 样式参数
 */
public class Param implements Serializable {

    private static final long serialVersionUID = -8820818435363871114L;

    private String width;//宽

    private String height;//高

    private Boolean bold;//加粗

    private Boolean underline;//下划线

    private Boolean italic;//斜体

    private Boolean sup;//上标

    private Boolean sub;//下标

    private Integer duration;//时长，单位为秒

    public String getWidth() {
        return width;
    }

    public void setWidth(String width) {
        this.width = width;
    }

    public String getHeight() {
        return height;
    }

    public void setHeight(String height) {
        this.height = height;
    }

    public Boolean getBold() {
        return bold;
    }

    public void setBold(Boolean bold) {
        this.bold = bold;
    }

    public Boolean getUnderline() {
        return underline;
    }

    public void setUnderline(Boolean underline) {
        this.underline = underline;
    }

    public Boolean getItalic() {
        return italic;
    }

    public void setItalic(Boolean italic) {
        this.italic = italic;
    }

    public Boolean getSup() {
        return sup;
    }

    public void setSup(Boolean sup) {
        this.sup = sup;
    }

    public Boolean getSub() {
        return sub;
    }

    public void setSub(Boolean sub) {
        this.sub = sub;
    }

    public Integer getDuration() {
        return duration;
    }

    public void setDuration(Integer duration) {
        this.duration = duration;
    }

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this, ToStringStyle.JSON_STYLE);
    }

}
