package cn.com.qmth.examcloud.web.cache;

/**
 * 全量对象缓存
 *
 * @param <T>
 * @author WANGWEI
 * @date 2019年3月13日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface FullObjectCache<T> extends ObjectCache<T> {

    /**
     * 从数据源（数据库,配置文件等）加载所有缓存项
     *
     * @return
     * @author WANGWEI
     */
    long loadAllFromResource();

    /**
     * 获取全量缓存控制器
     *
     * @return
     * @author WANGWEI
     */
    FullObjectCacheWatcher getFullObjectCacheWatcher();

}
