package cn.com.qmth.examcloud.web.cache;

/**
 * 全量缓存观察器
 *
 * @author WANGWEI
 * @date 2019年3月1日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface FullObjectCacheWatcher {

    /**
     * 缓存是否全部加载
     *
     * @return
     * @author WANGWEI
     */
    public boolean allLoaded();

    /**
     * 设置缓存是否全部加载
     *
     * @param allLoaded
     * @author WANGWEI
     */
    public void setAllLoaded(boolean allLoaded);

}
