package cn.com.qmth.examcloud.web.cloud;

/**
 * APP self
 *
 * @author WANGWEI
 * @date 2019年2月18日
 * @Copyright (c) 2018-2020 WANGWEI [QQ:522080330] All Rights Reserved.
 */
public interface AppSelf {

    /**
     * 获取当前APP ID
     *
     * @return
     * @author WANGWEI
     */
    Long getAppId();

    /**
     * 获取当前APP识别码<br>
     * (通常为1到3位大写字母和数字组合)
     *
     * @return
     * @author WANGWEI
     */
    String getAppCode();

    /**
     * 获取当前APP 密钥
     *
     * @return
     * @author WANGWEI
     */
    String getSecretKey();

}