package cn.com.qmth.examcloud.web.cloud;

import org.springframework.core.io.FileSystemResource;

import java.io.File;

/**
 * 从定义文件名
 *
 * @author WANGWEI
 * @date 2019年5月9日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class CustomFileSystemResource extends FileSystemResource {

    private String redefinedFileName;

    public CustomFileSystemResource(File file, String redefinedFileName) {
        super(file);
        this.redefinedFileName = redefinedFileName;
    }

    @Override
    public String getFilename() {
        return redefinedFileName;
    }

}
