package cn.com.qmth.examcloud.web.helpers.tree;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

import java.util.List;

/**
 * element-UI tree
 *
 * @author WANGWEI
 * @date 2018年6月13日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class EleTreeNode implements JsonSerializable {

    private static final long serialVersionUID = -1250100928710219190L;

    private Long id;

    private String label;

    private String code;

    private Long parentId;

    private Boolean disabled;

    private List<EleTreeNode> children;

    public EleTreeNode() {
        super();
    }

    public EleTreeNode(Long id, String label) {
        super();
        this.id = id;
        this.label = label;
    }

    public EleTreeNode(Long id, String label, Long parentId) {
        super();
        this.id = id;
        this.label = label;
        this.parentId = parentId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public Boolean getDisabled() {
        return disabled;
    }

    public void setDisabled(Boolean disabled) {
        this.disabled = disabled;
    }

    public List<EleTreeNode> getChildren() {
        return children;
    }

    public void setChildren(List<EleTreeNode> children) {
        this.children = children;
    }

}
