package cn.com.qmth.examcloud.web.security;

import cn.com.qmth.examcloud.api.commons.enums.DataRuleType;

import java.lang.annotation.Documented;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import static java.lang.annotation.ElementType.METHOD;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

@Documented
@Target({METHOD})
@Retention(RUNTIME)
public @interface DataRule {

    /**
     * 数据权限规则类型
     */
    DataRuleType[] type();

}
