package cn.com.qmth.examcloud.web.task;

/**
 * 任务跟踪记载器
 *
 * @author WANGWEI
 * @date 2018年7月25日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface TaskTracker {

    /**
     * 启动
     *
     * @param scheduleJob
     * @param traceId
     * @author WANGWEI
     */
    void start(final ScheduleJob scheduleJob, final String traceId);

    /**
     * 异常
     *
     * @param scheduleJob
     * @param traceId
     * @param e
     * @author WANGWEI
     */
    void whenException(final ScheduleJob scheduleJob, final String traceId, Exception e);

    /**
     * 结束
     *
     * @param scheduleJob
     * @param traceId
     * @author WANGWEI
     */
    void onEnd(final ScheduleJob scheduleJob, final String traceId);

}
