package cn.com.qmth.examcloud.support.test;

import cn.com.qmth.examcloud.commons.util.FileUtil;
import cn.com.qmth.examcloud.web.aliyun.OssClient;
import cn.com.qmth.examcloud.web.config.SystemProperties;
import org.apache.logging.log4j.Level;
import org.apache.logging.log4j.core.config.Configurator;
import org.junit.Before;
import org.junit.Test;

import java.io.File;

public class OssClientTest {

    @Before
    public void init() {
        Configurator.setRootLevel(Level.INFO);
    }

    @Test
    public void demoTest() {
        SystemProperties properties = new SystemProperties();
        properties.setAliyunBucketName("examcloud-test");
        // properties.setAliyunOssEndpoint("https://oss-cn-shenzhen-internal.aliyuncs.com");
        properties.setAliyunOssEndpoint("https://oss-cn-shenzhen.aliyuncs.com");
        properties.setAliyunDomain("https://ecs-test-static.qmth.com.cn");
        properties.setAccessKeyId("LTAI4FboXLCJzrjVo5dUoXaU");
        properties.setAccessKeySecret("O0my6eSAl1Ic62WvxEf3WlMXox1LNX");

        OssClient ossClient = new OssClient();
        ossClient.setProperties(properties);

        final String dir = "D:/home/test";
        File file = new File(dir + "/abc.png");

        final String ossFilePath = "/test/abc.png";
        // String fileUrl = ossClient.upload(file, ossFilePath, false);
        // System.out.println(fileUrl);

        File toFile = new File(dir + "/abc-new.png");
        // ossClient.download(ossFilePath, toFile);

        byte[] bytes = ossClient.download(ossFilePath);
        FileUtil.saveToFile(bytes, toFile);
    }

}
